import { p as promiseResolve, b as bootstrapLazy } from './index-89598e15.js';

/*
 Stencil Client Patch Esm v2.17.3 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["xml-viewer-component",[[1,"xml-viewer-component",{"xml":[1]}]]]], options);
  });
};

export { defineCustomElements };
